petsc-3.4.2 2013-07-02

# PCJACOBI

Jacobi (i.e. diagonal scaling preconditioning)

### Options Database Key

| -pc_jacobi_rowmax | - use the maximum absolute value in each row as the scaling factor, rather than the diagonal
| -pc_jacobi_rowsum | - use the row sums as the scaling factor, rather than the diagonal
| -pc_jacobi_abs | - use the absolute value of the diagaonl entry

Notes: By using KSPSetPCSide(ksp,PC_SYMMETRIC) or -ksp_pc_side symmetric can scale each side of the matrix by the squareroot of the diagonal entries.

Zero entries along the diagonal are replaced with the value 1.0

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCJacobiSetUseRowMax(), PCJacobiSetUseRowSum(), PCJacobiSetUseAbs()

Level:beginner
Location:src/ksp/pc/impls/jacobi/jacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex7.c.html
src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex23.c.html
src/ksp/ksp/examples/tutorials/ex58.c.html
src/ksp/ksp/examples/tutorials/ex1f.F.html
src/ksp/ksp/examples/tutorials/ex2f.F.html
src/ksp/ksp/examples/tutorials/ex15f.F.html
src/ksp/ksp/examples/tutorials/ex21f.F.html